
#include <bits/stdc++.h>
using namespace std;
int main() {
    map<int, int> mp;
    int cnt=0;
	int n,m; cin >> n >> m;
	for (int i =1; i<=m;i++) {
		int x; cin >> x;
		mp[x]++;
	} for (int i = 1; i <= m;i++) {
		if (mp[i]>=n) {
			cnt++;
		}
	}cout << cnt << '\n';
	for (int i = 1; i <= m;i++) {
		if (mp[i]>=n) {
			cout << i << ' ';
		}
	}
}
